<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from linalg_dgemm.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="linalg_dgemm" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>linalg_dgemm</refname><refpurpose>Computes D = Alpha*A*B+ Beta*C for a real matrix.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   D = linalg_dgemm ( Alpha , A , B , Beta , C)

   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>Alpha :</term>
      <listitem><para> a 1-by-1 matrix of doubles (real)</para></listitem></varlistentry>
   <varlistentry><term>A :</term>
      <listitem><para> a m-by-n matrix of doubles (real)</para></listitem></varlistentry>
   <varlistentry><term>B :</term>
      <listitem><para> a n-by-p matrix of doubles (real)</para></listitem></varlistentry>
   <varlistentry><term>Beta :</term>
      <listitem><para> a 1-by-1 matrix of doubles (real)</para></listitem></varlistentry>
   <varlistentry><term>C :</term>
      <listitem><para> a m-by-p matrix of doubles (real)</para></listitem></varlistentry>
   <varlistentry><term>D :</term>
      <listitem><para> a m-by-p matrix of doubles (real), D = Alpha*A*B+ Beta*C</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Calls BLAS/DGEMM.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
Alpha = 2;
Beta = 3;
m = 3;
n = 4;
C = ones(m, n);
k = 2;
A = ones(m, k);
B = ones(k, n);
D = linalg_dgemm(Alpha, A, B, Beta, C)
// Compare with Scilab's:
Alpha*A*B+ Beta*C

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2010 - DIGITEO - Michael Baudin</member>
   </simplelist>
</refsection>
</refentry>
